## profile/mppcheck

### Summary

Check an MPP profile against .ti3 test chart data.

### Usage Summary

mppcheck [-v] [-s] -[y] values.ti3 profile.mpp
-v Verbose mode
-c Show CIE94 delta E values
-k Show CIEDE2000 delta E values
-s Check spectral model too
-y Detail each value
values.ti3 Test values to check against
profile.mpp Profile to check

### Usage Details and Discussion

mppcheck provides a way of checking how well an MPP profile conforms to the test sample data that was used to create it. This is the same sort of check done within the profile making utility (mpprof), but having a separate utility provides some flexibility.
The -v flag prints out extra information during the checking.
The -c option causes the differences between the test values and the profile prediction of the color for each device value to be displayed in CIE94 delta E, rather than plain L*a*b* delta E. CIE94 delta E has a closer correspondence with perceived color differences than the default CIE76 delta E values.
The -k option causes the differences between the test values and the profile prediction of the color for each device value to be displayed in CIEDE2000 delta E, rather than plain L*a*b* delta E. CIEDE2000 delta E has a closer correspondence with perceived color differences than either CIE76 or CIE94 delta E values.
The -s flag causes the spectral model (if present) to be checked against the test data spectral values (if present). Errors are given as a percentage error for each reflectance band, as well as a delta E of the resulting CIE color computed from the spectral values.
The -y flag when used in combination with the -v flag, causes each test value and its error to be printed.